apt: pkgDebianIndexFile Class Reference

apt 2.7.6 commandline package manager

Public Member Functions | Protected Member Functions | List of all members
pkgDebianIndexFile Class Referenceabstract
Inheritance diagram for pkgDebianIndexFile:

## Public Member Functions
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual std::string | Describe (bool const Short=false) const =0
virtual std::string | ArchiveURI (std::string const &) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | Exists () const =0
virtual bool | HasPackages () const =0
virtual unsigned long | Size () const =0
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
virtual std::string | IndexFileName () const =0
virtual std::string | GetComponent () const =0
virtual std::string | GetArchitecture () const =0
virtual std::string | GetProgressDescription () const =0
virtual uint8_t | GetIndexFlags () const =0
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName)=0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ FindInCache()

pkgCache::PkgFileIterator FindInCache | ( | pkgCache & | Cache | ) | const
| virtual

Reimplemented from pkgIndexFile.

## ◆ Merge()

bool Merge | ( | pkgCacheGenerator & | Gen,
|  | OpProgress *const | Prog
| ) |  |
| virtual

Reimplemented from pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc